import { AnnotationLayer } from "./AnnotationLayer";
import { Series } from "./Series";
import { Type } from "igniteui-react-core/ES2015/type";
import { SeriesView } from "./SeriesView";
import { Frame } from "./Frame";
import { Pool$1 } from "igniteui-react-core/ES2015/Pool$1";
import { List$1 } from "igniteui-react-core/ES2015/List$1";
import { DataContext } from "igniteui-react-core/ES2015/DataContext";
import { Size } from "igniteui-react-core/ES2015/Size";
import { AnnotationLayerView } from "./AnnotationLayerView";
import { PointerTooltip } from "./PointerTooltip";
import { RenderingContext } from "igniteui-react-core/ES2015/RenderingContext";
/**
 * @hidden
 */
export declare class ItemToolTipLayer extends AnnotationLayer {
    static $t: Type;
    constructor();
    protected bf(): SeriesView;
    im(a: SeriesView): void;
    protected mv: ItemToolTipLayerView;
    protected get_cn(): boolean;
    mw: Series;
    mz: boolean;
    my: boolean;
    protected is(a: any, b: string, c: any, d: any): void;
    protected mc(a: Series, b: boolean): void;
    protected lz(a: Series): boolean;
    protected me(a: Frame, b: SeriesView): void;
    private m4;
    private mx;
    private m5;
    private m0;
    protected mh(a: Frame, b: SeriesView): void;
    protected c7(): boolean;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class ItemToolTipLayerView extends AnnotationLayerView {
    static $t: Type;
    constructor(a: ItemToolTipLayer);
    protected b1: ItemToolTipLayer;
    b2: Pool$1<any>;
    ap(): void;
    ag(): void;
    protected b4: List$1<PointerTooltip>;
    private b5;
    private b7;
    private b9;
    private b8;
    private _htmlTest;
    protected htmlTest: any;
    b3(a: Series, b: any, c: any, d: DataContext): boolean;
    cc(a: any, b: any, c: DataContext): Size;
    cb(a: any, b: number, c: number, d: number, e: number): void;
    ca(a: any): void;
    protected a3(a: RenderingContext, b: boolean): void;
    ai(a: any): void;
}
